package cn.qinys.platform.mobile.tool;

import lombok.extern.slf4j.Slf4j;
import org.springframework.ai.tool.annotation.Tool;
import org.springframework.context.i18n.LocaleContextHolder;

import java.time.LocalDateTime;

/**
 * @author lie tan
 * @description
 * @date 2026-06-13 10:20
 **/
@Slf4j
public class DateTimeTools {


    @Tool(description = "Get the current date and time in the user's timezone")
    String getCurrentDateTime() {
        log.info("调用日期工具了");
        return LocalDateTime.now().atZone(LocaleContextHolder.getTimeZone().toZoneId()).toString();
    }




}
